<!DOCTYPE html>
<html lang="en">

<head>
    <% include _head %>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/css/bootstrap-select.min.css">
    <link rel="stylesheet" type="text/css" href="/css/tableScroll.css">
</head>

<body>
<% include _loading %>
<div class="container-fluid content-row">
    <div class="row mt-2 mr-2">
      <span class="col-2">
          <% include _lang %>
      </span>
        <span class="col-1" id="date" class="ml-3"></span>
        <h4 class="col-6" id="infos_eleve"></h4>
        <div class="col-3 ml-auto">
            <a href="#" onclick="window.location.href='/classes'"
               class="btn btn-outline-danger"><%= __('global_back') %></a>
            <a href="/logout" class="btn btn-outline-warning"><%= __('global_logout') %></a>
        </div>
    </div>
    <main role="main">
        <section class="jumbotron text-center small-margin">
            <div class="container">
                <h1><%= __('admin_valider_title') %></h1>
                <div class="row">
                    <div class="col-sm-4">
                        <h5><%= __('admin_valider_filtre_degre') %></h5>
                        <select class="form-control" id="degre">
                            <option value="null"></option>
                            <%
                            for(let degre of degres){
                            %>
                                <option value="<%= degre.id %>"><%= degre.nom %></option>
                            <%
                            }
                            %>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <h5><%= __('admin_valider_filtre_classe') %></h5>
                        <select class="form-control" id="classe">
                            <option value="null"></option>
                            <%
                            for(let classe of classes){
                            %>
                                <option value="<%= classe.id %>"><%= classe.nom %></option>
                            <%
                            }
                            %>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <h5><%= __('admin_valider_filtre_game') %></h5>
                        <select class="form-control" id="games">
                            <option value="null"></option>
                            <%
                            for(let game of games){
                            %>
                                <option value="<%= game.id %>"><%= JSON.parse(game.name)[lang] %></option>
                            <%
                            }
                            %>
                        </select>
                    </div>
                </div>
            </div>
        </section>
        <div class="container">
            <div class="row">
                <table class="table nomargin-bottom">
                    <thead class="thead-light">
                    <tr>
                        <th scope="col"
                            style="width: 70%; text-align: center"><%= __('admin_valider_table_name') %></th>
                        <th scope="col"
                            style="width: 30%; text-align: center"><%= __('admin_valider_table_actions') %></th>
                    </tr>
                    </thead>
                </table>
                <div id="table-wrapper">
                    <div id="table-scroll">
                        <table class="table">
                            <tbody style="overflow:auto;">
                            <%
                            for(let exId of Object.keys(exercices)){
                                let ex = exercices[exId];
                            if(ex.exercice){
                            %>
                            <tr class="<%= 'degre' + ex.degre %> <%= 'classe' + ex.classe %> <%= 'game' + (ex.game ? ex.game : '') %> exercice">
                                <td style="width: 70%; text-align: center"><%= (ex.exercice.name ? ex.exercice.name[lang] : '') + (ex.exercice.name ? ex.name : ex.name.substring(2)) %></td>
                                <td style="width: 30%;text-align: center">
                                    <a href="./valider/<%= ex.game %>/exercice/<%= exId %>/valider"
                                       class="btn btn-primary"><%= __('admin_valider_edit') %></a>
                                    <a href="javascript:alertDelete(<%= exId %>);"
                                       class="btn btn-danger"><%= __('admin_valider_delete') %></a>
                                </td>
                            </tr>
                            <%
                            }
                            }
                            %>
                            <tr>
                                <td colspan="2"
                                    style="text-align: center; <%= Object.keys(exercices).length > 0 ? 'display:none' : '' %>"
                                    id="noRow">
                                    <%= __('admin_valider_no_row') %>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/js/bootstrap-select.min.js"></script>
<script type="text/javascript" src="/scripts/wrk/wrk.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_valider.js"></script>
<script type="text/javascript">
    var alertDelete = function (id) {
        Swal.fire({
            icon: 'warning',
            title: '<%= __('admin_valider_alert_title') %>',
            text: '<%= __('admin_valider_alert_text') %>',
            showCancelButton: true,
            confirmButtonColor: '#d33d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<%= __('admin_valider_alert_confirm') %>",
            cancelButtonText: '<%= __('admin_valider_alert_cancel') %>'
        }).then((result) => {
            if (result.value) {
                ui_valider.delete(id);
            }
        });
    };
</script>
</body>
</html>